Creating a category
Creating a category is done by sending a POST request to the /categories endpoint.
title is required (max 100). slug is generated from title when you omit it. description is optional (max 2000). parent is a category id.
Create category object
CURL
curl -X POST https://app.ignitevideo.cloud/api/categories \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{"title": "Your category title", "slug":"your-category-slug"}'Response
The response status is 201. The body is the new category object inside doc, plus a message.
{
"doc": {
"id": "[CATEGORY_ID]",
"title": "Your category title",
"slug": "your-category-slug"
},
"message": "Category successfully created."
}